![logo](./images/coco_logo.png)

# Confidential Containers

[![CII Best Practices](https://bestpractices.dev/projects/5719/badge)](https://bestpractices.dev/projects/5719)

## Welcome to confidential-containers

Confidential Containers is an open source community working to leverage 
[Trusted Execution Environments](https://en.wikipedia.org/wiki/Trusted_execution_environment) 
to protect containers and data and to deliver cloud native 
confidential computing.

**We have a new release every 6 weeks!**
See [Release Notes](./releases/) or [Quickstart Guide](./quickstart.md)

Our key considerations are:
- Allow cloud native application owners to enforce application security requirements
- Transparent deployment of unmodified containers
- Support for multiple TEE and hardware platforms
- A trust model which separates Cloud Service Providers (CSPs) from guest applications
- Least privilege principles for the Kubernetes cluster administration capabilities which impact 
delivering Confidential Computing for guest applications or data inside the TEE

### Get started quickly... 
- [Kubernetes Operator for Confidential
  Computing](https://github.com/confidential-containers/operator) : An
  operator to deploy confidential containers runtime (and required configs) on a Kubernetes cluster


## Further Detail
[![asciicast](https://asciinema.org/a/eGHhZdQY3uYnDalFAfuB7VYqF.svg)](https://asciinema.org/a/eGHhZdQY3uYnDalFAfuB7VYqF)
[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fconfidential-containers%2Fcommunity.svg?type=shield)](https://app.fossa.com/projects/git%2Bgithub.com%2Fconfidential-containers%2Fcommunity?ref=badge_shield)

- [Project Overview](./overview.md)
- [Project Architecture](./architecture.md)
- [Our Roadmap](./roadmap.md)
- [Our Release Content Planning](https://github.com/orgs/confidential-containers/projects/6)
- [Alignment with other Projects](alignment.md)


### Contribute...
- [CONTRIBUTING](CONTRIBUTING.md)


## License
[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fconfidential-containers%2Fcommunity.svg?type=large)](https://app.fossa.com/projects/git%2Bgithub.com%2Fconfidential-containers%2Fcommunity?ref=badge_large)

